import request from '@/utils/request'
import axios from '@/utils/request'

/**
 * 获取单据记录
 * @param {Object} data 查询参数
 * @returns {Promise} 请求结果
 */
export function getOrderRecords(data) {
  return request({
    url: '/udiwms/inout/order/filter',
    method: 'post',
    data
  })
}

/**
 * 获取单据记录明细
 * @param {Object} data 查询参数
 * @returns {Promise} 请求结果
 */
export function getOrderDetails(query) {
  return axios({
    url: "/udiwms/basic/collect/ioCollectCodeBackup/getOrderDetails",
    method: "get",
    params: query
  });
}

/**
 * 获取药品信息
 * @param {Object} data 查询参数
 * @returns {Promise} 请求结果
 */
export function getDrugInfo(query) {
  return axios({
    url: "/udiwms/basic/collect/ioCollectCodeBackup/retrace",
    method: "get",
    params: query
  });
}
